> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get email subscriptions

> Get email subscriptions for the current user.



## OpenAPI

````yaml /openapi-public.yml get /api/v1/notifications/email
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/notifications/email:
    get:
      tags:
        - Notifications
      summary: Get email subscriptions
      description: Get email subscriptions for the current user.
      responses:
        '200':
          description: Successful response with email subscriptions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationSubscriptionEmailSMS'
components:
  schemas:
    NotificationSubscriptionEmailSMS:
      type: object
      properties:
        is_active:
          type: boolean
          example: true
          description: Whether the subscription is currently active
        subscriptions:
          type: array
          items:
            $ref: '#/components/schemas/NotificationEvent'
    NotificationEvent:
      type: object
      properties:
        name:
          type: string
          description: Readable name of the event
          example: Order Created
        description:
          type: string
          example: Triggered when an order is created
          description: Description of the event
        event_code:
          type: string
          example: order.created
          description: Dot-separated unique code for the event; or 'all' for all events
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````